## angrydd 1.0.1

=== Makefile ===
#!/usr/bin/make -f

# Makefile for Angry, Drunken Dwarves.
# $Id: Makefile 319 2006-01-12 21:30:11Z piman $

PREFIX ?= /usr/local

MODULES = ai.py \
          boxes.py \
          characters.py \
          charselect.py \
          config.py \
          constants.py \
          dirstore.py \
          events.py \
          game.py \
          howtoplay.py \
          load.py \
          menu.py \
          pygame_ext.py \
          textfx.py \
          unlocker.py \
          util.py \
          wipes.py

TO = share/games/angrydd

all: check

check:
	@/bin/echo -n "Checking for Python... "
	@which python || ( echo "Not found." && /bin/false )
	@./check.py

install:
	install -d $(DESTDIR)$(PREFIX)/$(TO)/characters
	install -m 755 angrydd.py $(DESTDIR)$(PREFIX)/$(TO)
	install -m 644 $(MODULES) angrydd.png $(DESTDIR)$(PREFIX)/$(TO)
	cp -R music sounds images $(DESTDIR)$(PREFIX)/$(TO)
	cp -R characters/*.dwarf* characters/default $(DESTDIR)$(PREFIX)/$(TO)/characters
	install -d $(DESTDIR)$(PREFIX)/games
	ln -sf ../$(TO)/angrydd.py $(DESTDIR)$(PREFIX)/games/angrydd
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man6/
	install -m 644 angrydd.6 $(DESTDIR)$(PREFIX)/share/man/man6/angrydd.6

clean:
	rm -f *.pyc

distclean: clean
	rm -f *~ angryddrc \#*

=== debian/changelog ===
angrydd (1.0.1-11) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Vcs fields: Use cgit and https.
  * Update my e-mail address.
  * wrap-and-sort -sa.
  * Use only Build-Depends field.
  * Use compat level 10.
  * debian/watch: Use version=4.

 -- Markus Koschany <apo@debian.org>  Sun, 24 Apr 2016 21:35:20 +0200

angrydd (1.0.1-10) unstable; urgency=medium

  * debian/menu: Add the absolute icon path. (Closes: #726205)
  * Add windowed-mode.patch.
    - Start Angry Drunken Dwarves in windowed mode by default.
  * Declare compliance with Debian Policy 3.9.5.
  * Update copyright years.

 -- Markus Koschany <apo@gambaru.de>  Sat, 18 Jan 2014 22:33:09 +0100

angrydd (1.0.1-9) unstable; urgency=low

  * New Maintainer. (Closes: #705148)
  * Switch to package format 3.0 (quilt).
  * Bump compat level to 9 and require debhelper >= 9.
  * Improve watch file by using a more flexible extension regex.
  * angrydd.desktop: Add keywords and a comment in German.
  * debian/control:
    - Drop cdbs, python-dev, and python-all-dev build dependencies. The game
      only requires a build dependency on python.
    - Drop also deprecated python-support build dependency and use dh_python2
      instead.
    - Move python build dependency to Build-Depends-Indep.
    - Bump Standards-Version to 3.9.4, no changes required.
    - Remove superfluous ${shlibs:Depends} variable.
    - Remove deprecated XB-Python-Version field.
    - Update Vcs-URIs. Angry Drunken Dwarves is maintained in a git
      repository from now on.
  * Remove deprecated pyversions file.
  * debian/rules:
    - Simplify debian/rules by using dh sequencer.
    - Build --with python2.
  * debian/patches: Prepare patches for quilt patch system. Rename all .diff
    extensions to .patch and create a series file.
  * Add DEP-3 headers to all patches.
  * Update debian/copyright to copyright format 1.0.
  * Install README and TODO via docs file.

 -- Markus Koschany <apo@gambaru.de>  Fri, 12 Apr 2013 19:17:18 +0200

angrydd (1.0.1-8) unstable; urgency=low

  * debian/patches/03_bug405368: Fixed use of tabs instead of spaces.
  * debian/patches/05_bug402333.diff: Fix traceback when a game is drawn.
    (Closes: #402333)

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Sun, 19 Oct 2008 13:19:40 +0100

angrydd (1.0.1-7) unstable; urgency=low

  * Adopting. (Closes: #497239)
  * debian/control
    + Moved Homepage out of Description, as per lintian warning.
    + Bumped Standards-Version to 3.8.0, as per lintian warning.
    + Moved python-pygame from Build-Depends to Build-Depends-Indep, as per
      lintian warning.
    + Added Vcs-Bzr field.
  * Removed obsolete Encoding key from angrydd.desktop, as per lintian
    warning.

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Sun, 31 Aug 2008 18:37:05 +0100

angrydd (1.0.1-6) unstable; urgency=low

  * debian/menu: Updated longtitle and section.  Closes: #445123.
  * debian/angrydd.desktop: Updated categories.

 -- Bart Martens <bartm@knars.be>  Wed, 03 Oct 2007 21:13:03 +0200

angrydd (1.0.1-5) unstable; urgency=low

  * debian/patches/03_bug405368.diff: Documented keys.  Closes: #405368.
  * debian/patches/04_bug406548.diff: Documented the fullscreen toggle in the
    manpage, and added this toggle to the config menu.  Closes: #406548.
  * debian/copyright: Updated.

 -- Bart Martens <bartm@knars.be>  Sat, 13 Jan 2007 18:37:16 +0100

angrydd (1.0.1-4) unstable; urgency=low

  * debian/patches/02_unixbros.diff: Breaking a crystal of "over 16 gems"
    unlocks "unixbros".  Closes: #403023.
  * debian/angrydd.xpm, debian/menu: Added menu icon and long title.

 -- Bart Martens <bartm@knars.be>  Fri, 15 Dec 2006 22:00:13 +0100

angrydd (1.0.1-3) unstable; urgency=low

  * debian/control: Architecture "all".  Closes: #400537.

 -- Bart Martens <bartm@knars.be>  Mon, 27 Nov 2006 07:50:51 +0100

angrydd (1.0.1-2) unstable; urgency=low

  * debian/copyright: Fixed.  Closes: #400237.

 -- Bart Martens <bartm@knars.be>  Fri, 24 Nov 2006 18:44:56 +0100

angrydd (1.0.1-1) unstable; urgency=low

  * Initial release.  Closes: #334173.
  * debian/pyversions: Needs python 2.3 or newer.
  * debian/control: Needs python-pygame (>= 1.6.2).
  * debian/patches/01_prefix_usr.diff: Patches PREFIX in Makefile.
  * debian/angrydd.desktop, debian/install: Added.
  * debian/watch: Added.

 -- Bart Martens <bartm@knars.be>  Mon, 13 Nov 2006 15:39:44 +0100

=== debian/control ===
Source: angrydd
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Markus Koschany <apo@debian.org>
Build-Depends:
 debhelper (>= 9.20160403),
 python,
 python-pygame
Standards-Version: 3.9.8
Homepage: http://www.sacredchao.net/~piman/angrydd/
VCS-Git: https://anonscm.debian.org/git/pkg-games/angrydd.git
VCS-Browser: https://anonscm.debian.org/cgit/pkg-games/angrydd.git

Package: angrydd
Architecture: all
Depends:
 python-pygame,
 ${misc:Depends},
 ${python:Depends}
Description: Angry Drunken Dwarves - falling blocks puzzle game
 In Angry, Drunken Dwarves, you are an angry, drunken dwarf. Why are you so
 angry? Who knows. But you've decided to take your aggression out on other
 dwarves, by dropping gems on their heads. Lots of gems. angrydd is a member of
 the classic "falling blocks" puzzle game family, similar to the Capcom game
 Puzzle Fighter. The goal of the game is to build large gems by matching up
 colors, then break them, raining more gems down onto your opponent. The first
 person whose field fills up, loses.  angrydd has seven playable characters,
 six levels of AI, secret game modes and characters, and an original
 soundtrack.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/angrydd

=== debian/watch ===
version=4
http://www.sacredchao.net/~piman/angrydd/ angrydd-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
